<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['supp-sost-title4'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['sost_id'])) puterror2($TEXT['error-sost5']);
  if(strlen($_POST['sost_id'])>11) puterror2($TEXT['error-sost4']);
  $_POST['sost_id'] = rep($_POST['sost_id']);

  $sost_id = $_POST['sost_id'];

  $query = "SELECT `pic_sost`, `sost_id` FROM `tbl_supp_sostoyanie` WHERE `sost_id` = '$sost_id'";
  $sost_del = mysql_query($query);
  if(!$sost_del) puterror2($TEXT['error-tbl23']);
  {
    if(mysql_num_rows($sost_del)>0)
    {
      $sost = mysql_fetch_array($sost_del);
      if(file_exists("../".$sost['pic_sost']) && $sost['pic_sost'] !="-")
         unlink("../".$sost['pic_sost']);
    }
  }

  //*************************************
  $query = "SELECT * FROM `tbl_supp_sostoyanie` WHERE `sost_id`='".$_POST['sost_id']."' ";
  $result = mysql_query($query);
  if (!$result) puterror2($TEXT['error-tbl23']);
   $result2 = mysql_fetch_array($result);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-supp2'];
  $what = $result2['sostoyanie'].$TEXT['log-id'].$_POST['sost_id'];
  $who = $result2['fullname'];
  //*************************************
  $query = "DELETE FROM `tbl_supp_sostoyanie` WHERE `sost_id`='".$_POST['sost_id']."' LIMIT 1";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index-sost.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-sost7']);
  require_once "../util/bottom.php";
?>
